Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038469
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-04-27 14:032018-05-14 13:09
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision8ba7ab55dd7a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038469: Wrong Total Movement Quantity and Stock Valuation resulting in wrong average cost if Costing Rule 'Fix Backdated From' is empty

DescriptionWrong Total Movement Quantity and Stock Valuation resulting in wrong average cost if Costing Rule 'Fix Backdated From' is empty
Steps To ReproduceAs group admin role:
   Create a Legal With Accounting Organization and set it as ready
   Create the required master data on it: vendor, product, tax category, warehouse, storage bin (2)
   Open the current period
   Create a new costing rule for that organization
   Select Backdated Transactions Fixed
   Leave empty Starting Date and Fix Backdated From fields
   Validate it
   Create a goods receipt with today's date, include the previously created product and complete it
   Create a Physical Inventory with tomorrow's date
   Decrease the stock of the product in 1 unit
   Create a goods receipt with the day after tomorrow, include the previously created product and complete it
   Schedule the Costing Background Process to be run immediately and check it finishes successfully
   Check in the last entry in Product - Costing tab that Total Movement Quantity does not match the sum of the movement quantities in Product Transactions tab (the output transaction is not taken into account)
Proposed SolutionAttached a possible patch to be tested
TagsNo tags attached.
Attached Filesdiff file icon 38469test.diff [^] (1,193 bytes) 2018-04-27 14:04 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104359)
collazoandy4 (developer)
2018-05-09 17:28

As group admin role:
  Create a Legal With Accounting Organization and set it as ready
  Create the required master data on it: vendor, product, tax category, warehouse, storage bin
  Go to Open/Close Period Control window and open de period created
  Create a new costing rule for the organization, Backdated Transactions Fixed: 'Y' and leave empty the Starting Date and Fix Backdated From fields. Validate it
  Create a Goods receipt with today's date, include the previously created product and complete it
  Create a Physical Inventory with tomorrow's date
  Decrease the stock of the product in 1 unit
  Create a Goods receipt with the day after tomorrow, include the previously created product and complete it
  Schedule the Costing Background Process to be run immediately and check it finishes successfully
  Check in the last entry in Product - Costing tab that Total Movement Quantity match the sum of the movement quantities in Product Transactions tab (the output transaction is now taken into account)
(0104461)
hgbot (developer)
2018-05-10 18:45

Repository: erp/devel/pi
Changeset: 8ba7ab55dd7aa9c60cbfd47cee04dd155690ef2d
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon May 07 18:21:59 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/8ba7ab55dd7aa9c60cbfd47cee04dd155690ef2d [^]

Fixes issue 38469:Wrong Total Movement Quantity and Stock Valuation resulting in
wrong average cost if Costing Rule 'Fix Backdated From' is empty

---
M src/org/openbravo/costing/CostingUtils.java
---
(0104462)
aferraz (developer)
2018-05-10 18:48

Code review + Testing OK
(0104494)
hudsonbot (developer)
2018-05-14 13:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ed385e0e027b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-27 14:03 ngarcia New Issue
2018-04-27 14:03 ngarcia Assigned To => Triage Finance
2018-04-27 14:03 ngarcia Modules => Core
2018-04-27 14:03 ngarcia Triggers an Emergency Pack => No
2018-04-27 14:04 ngarcia File Added: 38469test.diff
2018-04-27 14:04 ngarcia Proposed Solution updated
2018-04-27 14:04 ngarcia Issue Monitored: networkb
2018-05-03 18:27 dmiguelez Assigned To Triage Finance => collazoandy4
2018-05-04 22:50 collazoandy4 Status new => scheduled
2018-05-09 17:28 collazoandy4 Note Added: 0104359
2018-05-10 18:45 hgbot Checkin
2018-05-10 18:45 hgbot Note Added: 0104461
2018-05-10 18:45 hgbot Status scheduled => resolved
2018-05-10 18:45 hgbot Resolution open => fixed
2018-05-10 18:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8ba7ab55dd7aa9c60cbfd47cee04dd155690ef2d [^]
2018-05-10 18:48 aferraz Review Assigned To => aferraz
2018-05-10 18:48 aferraz Note Added: 0104462
2018-05-10 18:48 aferraz Status resolved => closed
2018-05-10 18:48 aferraz Fixed in Version => 3.0PR18Q3
2018-05-14 13:09 hudsonbot Checkin
2018-05-14 13:09 hudsonbot Note Added: 0104494


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker